//-----------------------------------------------
// Analog Physical Config form
// -----------------------------------------------
Ext.namespace("Paraxip.config.physConfig");

var frmAnalogPhysConf = new Ext.FormPanel({
  title         : "Digital Analog Configuration",
  frame         : true,
  header        : false,
  id            : "frmAnalogPhysConf",
  autoScroll    : true,
  layout        : 'accordion',
  layoutConfig  : {
    activeItem  : 0
  },
  defaults      : {
    layout: 'form',
    style: 'text-align:left;',
    labelWidth: 150,
    bodyStyle: 'padding:5px;',
    width: 500,
    autoHeight: true,
    fill: true
  },
  buttonAlign   : "right",
  buttons       : [{
    id: "Paraxip.config.physConfig.assignedBoardsButton",
    text: 'Assigned board(s)',
    listeners: {'click':function(){
        configId = id_textAnalog.getValue();
        unassignedBoardsGrid.getStore().load({
           params: {'id':configId}
        });
        assignedBoardsGrid.getStore().load({
           params: {'id':configId}
        });
        assignBoardsWindow.show();
      }
    }
  },{
    id: "Paraxip.config.physConfig.saveAssignedBoardsButton",
    text: 'Save',
    listeners: {'click':saveConfig}
  },{
    id: "Paraxip.config.physConfig.cancelAsssignedBoardsButton",
    text: 'Cancel',
    listeners: {'click':physConfCancel}
  }]
});

var analogConfigPanel = new Ext.Panel({
  id    : 'analogConfigPanel',
  name  : 'config',
  title : 'Configuration Info',
  items : [{
    xtype: 'textfield',
    id: 'analogNodeId',
    name: 'nodeId',
    hidden: true,
    hideLabel: true
  }]
});

var analogPanel = new Ext.Panel({
  id    : 'analogPanel',
  name  : 'analog',
  title : 'Analog Configuration'
});

var audioAnalogPanel = new Ext.Panel({
  id    : 'audioAnalogPanel',
  name  : 'audio',
  title : 'Audio Configuration'
});

var echoAnalogPanel = new Ext.Panel({
  id    : 'echoAnalogPanel',
  name  : 'EchoCancellation',
  title : 'Echo Cancellation Configuration'
});

var acousticAnalogPanel = new Ext.Panel({
  id    : 'acousticAnalogPanel',
  name  : 'AcousticEchoCancellation',
  title : 'Acoustic Echo Cancellation Configuration'
});

var levelAnalogPanel = new Ext.Panel({
  id    : 'levelAnalogPanel',
  name  : 'LevelControl',
  title : 'Level Control Configuration'
});

var backgroundAnalogPanel = new Ext.Panel({
  id    : 'backgroundAnalogPanel',
  name  : 'BackgroundNoiseAttenuation',
  title : 'Background Noise Attenuation Configuration'
});

var dtmfAnalogPanel = new Ext.Panel({
  id    : 'dtmfAnalogPanel',
  name  : 'DTMFRemoval',
  title : 'DTMF Removal Configuration'
});

var id_textAnalog= new Ext.form.TextField({
  id          : 'id_textAnalog',
  fieldLabel  : "ID",
  name        : "id",
  disabled    : true,
  width       : 162
});

var name_textAnalog = new Ext.form.TextField({
  id          : 'name_textAnalog',
  fieldLabel  : "Display Name",
  name        : "displayName",
  width       : 162
});

var analogVariant_select = new Ext.form.ComboBox({
  id              : 'variantAnalog_selection',
  name            : 'variant',
  fieldLabel      : "Analog Variant",
  store           : Paraxip.countryList,
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});

var defaultPcmLawAnalog_select =  createPcmLawSelection({
  id : 'defaultPcmLawAnalog_selection'
});

var voicePacketLengthInMsAnalog_text = createVoicePacketText({
  id : 'voicePacketLengthInMsAnalog_text'
});

var toneSetAttributesAnalog_select = createToneSetAtributesSelection({
  id : 'toneSetAttributesAnalog_select'
});

var ecAnalog_type_select = createEcTypeSelect({
  id : 'ecAnalog_type_selection'
});

var ecAnalog_mode_select = createEcModeSelect({
  id : 'ecAnalog_mode_selection'
});

var ecAnalog_comfortNoiseMode_select = createEcComfortNoiseSelect({
  id : 'ecAnalog_comfortNoiseMode_selection'
});

var ecAnalog_tailDisplacementInMs_text = createEcTailText({
  id : 'ecAnalog_tailDisplacementInMs_text'
});

var ecAnalog_doubleTalkBehavior_select = createEcDoubleTalkSelect({
  id : 'ecAnalog_doubleTalkBehavior_selection'
});

var aecAnalog_type_select = createAecTypeSelect({
  id : 'aecAnalog_type_selection'
});

var aecAnalog_mode_select = createAecModeSelect({
  id : 'aecAnalog_mode_selection'
});

var levelAnalog_type_select = createLevelTypeSelect({
  id : 'levelAnalog_type_selection'
});

var levelAnalog_direction_select = createLevelDirectionSelect({
  id : 'levelAnalog_direction_selection'
});

var levelAnalog_mode_select = createLevelModeSelect({
  id        : 'levelAnalog_mode_selection',
  listeners : {
    'select': levelControlVisibleFields,
    scope   : frmAnalogPhysConf
  }
});

var levelAnalog_targetLevelIndBM0_text = createLevelTargetText({
  id : 'levelAnalog_targetLevelIndBM0_text'
});

var levelAnalog_gainIndB_text = createLevelGainText({
  id : 'levelAnalog_gainIndB_text'
});

var bnaAnalog_type_select = createBnaTypeSelect({
  id : 'bnaAnalog_type_selection'
});

var bnaAnalog_direction_select = createBnaDirectionSelect({
  id  : 'bnaAnalog_direction_selection'
});

var bnaAnalog_mode_select = createBnaModeSelect({
  id : 'bnaAnalog_mode_selection'
});

var bnaAnalog_attenuationIndB_select = createBnaAttenuationSelect({
  id : 'bnaAnalog_attenuationIndB_selection'
});

var dtmfAnalog_type_select = createDtmfTypeSelect({
  id : 'dtmfAnalog_type_selection'
});

var dtmfAnalog_direction_select = createDtmfDirectionSelect({
  id : 'dtmfAnalog_direction_selection'
});

var dtmfAnalog_mode_select = createDtmfModeSelect({
  id : 'dtmfAnalog_mode_selection'
});

analogConfigPanel.add(id_textAnalog);
analogConfigPanel.add(name_textAnalog);
frmAnalogPhysConf.add(analogConfigPanel);

analogPanel.add(analogVariant_select);
frmAnalogPhysConf.add(analogPanel);

audioAnalogPanel.add(defaultPcmLawAnalog_select);
audioAnalogPanel.add(voicePacketLengthInMsAnalog_text);
audioAnalogPanel.add(toneSetAttributesAnalog_select);
frmAnalogPhysConf.add(audioAnalogPanel);

echoAnalogPanel.add(ecAnalog_type_select);
echoAnalogPanel.add(ecAnalog_mode_select);
echoAnalogPanel.add(ecAnalog_comfortNoiseMode_select);
echoAnalogPanel.add(ecAnalog_tailDisplacementInMs_text);
echoAnalogPanel.add(ecAnalog_doubleTalkBehavior_select);
frmAnalogPhysConf.add(echoAnalogPanel);

acousticAnalogPanel.add(aecAnalog_type_select);
acousticAnalogPanel.add(aecAnalog_mode_select);
frmAnalogPhysConf.add(acousticAnalogPanel);

levelAnalogPanel.add(levelAnalog_type_select);
levelAnalogPanel.add(levelAnalog_direction_select);
levelAnalogPanel.add(levelAnalog_mode_select);
levelAnalogPanel.add(levelAnalog_targetLevelIndBM0_text);
levelAnalogPanel.add(levelAnalog_gainIndB_text);
frmAnalogPhysConf.add(levelAnalogPanel);

backgroundAnalogPanel.add(bnaAnalog_type_select);
backgroundAnalogPanel.add(bnaAnalog_direction_select);
backgroundAnalogPanel.add(bnaAnalog_mode_select);
backgroundAnalogPanel.add(bnaAnalog_attenuationIndB_select);
frmAnalogPhysConf.add(backgroundAnalogPanel);

dtmfAnalogPanel.add(dtmfAnalog_type_select);
dtmfAnalogPanel.add(dtmfAnalog_direction_select);
dtmfAnalogPanel.add(dtmfAnalog_mode_select);
frmAnalogPhysConf.add(dtmfAnalogPanel);

