//------------------------------------------------
// Digital Physical T1 Config form
// -----------------------------------------------
Ext.namespace("Paraxip.config.physConfig");

var frmDigitalT1PhysConf = new Ext.FormPanel({
  title         : "Digital Physical Configuration",
  frame         : true,
  header        : false,
  id            : "frmDigitalT1PhysConf",
  autoScroll    : true,
  layout        : 'accordion',
  layoutConfig  : {
    activeItem  : 0
  },
  defaults      : {
    layout: 'form',
    style: 'text-align:left;',
    labelWidth: 150,
    bodyStyle: 'padding:5px;',
    width: 500,
    autoHeight: true,
    fill: true
  },
  buttonAlign   : "right",
  buttons       : [{
    id: "Paraxip.config.physConfig.digitalT1AssignedIf",
    text: 'Assigned interface(s)',
    listeners: {'click':function(){
        configId = id_textT1.getValue();
        unassignedInterfacesGrid.getStore().load({
           params: {'id':configId}
        });
        assignedInterfacesGrid.getStore().load({
           params: {'id':configId}
        });
        assignInterfacesWindow.show();
      }
    }
  },{
    id: "Paraxip.config.physConfig.digitalT1SaveButton",
    text: 'Save',
    listeners: {'click':saveConfig}
  },{
    id: "Paraxip.config.physConfig.digitalT1CancelButton",
    text: 'Cancel',
    listeners: {'click':physConfCancel}
  }]
});

var t1ConfigPanel = new Ext.Panel({
  id    : 't1ConfigPanel',
  name  : 'config',
  title : 'Configuration Info',
  items : [{
    xtype: 'textfield',
    id: 't1NodeId',
    name: 'nodeId',
    hidden: true,
    hideLabel: true
  }]
});

var digitalT1Panel = new Ext.Panel({
  id    : 'digitalT1Panel ',
  name  : 'digitalT1',
  title : 'Digital T1 Configuration'
});

var DChannelT1Panel = new Ext.Panel({
  id    : 'DChannelT1Panel ',
  name  : 'DChannelT1',
  title : 'DChannel T1 Configuration'
});

var audioT1Panel = new Ext.Panel({
  id    : 'audioT1Panel',
  name  : 'audio',
  title : 'Audio Configuration'
});

var echoT1Panel = new Ext.Panel({
  id    : 'echoT1Panel',
  name  : 'EchoCancellation',
  title : 'Echo Cancellation Configuration'
});

var acousticT1Panel = new Ext.Panel({
  id    : 'acousticT1Panel',
  name  : 'AcousticEchoCancellation',
  title : 'Acoustic Echo Cancellation Configuration'
});

var levelT1Panel = new Ext.Panel({
  id    : 'levelT1Panel',
  name  : 'LevelControl',
  title : 'Level Control Configuration'
});

var backgroundT1Panel = new Ext.Panel({
  id    : 'backgroundT1Panel',
  name  : 'BackgroundNoiseAttenuation',
  title : 'Background Noise Attenuation Configuration'
});

var dtmfT1Panel = new Ext.Panel({
  id    : 'dtmfT1Panel',
  name  : 'DTMFRemoval',
  title : 'DTMF Removal Configuration'
});

/**************************
  Digital T1 Configuration
***************************/

var id_textT1 = new Ext.form.TextField({
  id          : 'id_textT1',
  fieldLabel  : "ID",
  name        : "id",
  disabled    : true,
  width       : 162
});

var name_textT1 = new Ext.form.TextField({
  id          : 'name_textT1',
  fieldLabel  : "Display Name",
  name        : "displayName",
  width       : 162
});

var digitalT1_label = new Ext.form.Label({
  id        : "Paraxip.config.physConfig.digitalT1Label",
  text      : "Digital T1 Physical Configuration",
  helpText  : "t1ParametersdigitalT1",
  style     : 'line-height:40px;'
});

var framingT1_select = new Ext.form.ComboBox({
  id              : 'framingT1_selection',
  name            : 'framing',
  fieldLabel      : "Framing",
  helpText        : "t1ParametersdigitalT1framing",
  store           : ['ESF','ESF_Japan','D4'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});

var line_encT1_select = new Ext.form.ComboBox({
  id              : 'line_encT1_selection',
  name            : 'lineEncoding',
  fieldLabel      : "Line Encoding",
  helpText        : "t1ParametersdigitalT1lineEncoding",
  store           : ['AMI','B8ZS'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});

var lboT1_select = new Ext.form.ComboBox({
  id              : 'lboT1_selection',
  name            : 'LBO',
  fieldLabel      : "LBO",
  helpText        : "t1ParametersdigitalT1LBO",
  store           : ['0dB','15dB','22dB','75dB',
                     '0-110feet','110-220feet','220-330feet',
                     '330-440feet','440-550feet','550-660feet'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});

var clockingT1_select = new Ext.form.ComboBox({
  id              : 'clockingT1_selection',
  name            : 'clocking',
  fieldLabel      : "Clocking",
  helpText        : "clockingclocking",
  store           : ['TERMINAL','NETWORK'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  disabled        : false,
  width           : 145,
  minListWidth    : 145
});
/*
var loopback_modeT1_select = new Ext.form.ComboBox({
  id              : 'loopback_modeT1_selection',
  name            : 'loopbackMode',
  fieldLabel      : "Loopback Mode",
  helpText        : "t1ParametersdigitalT1loopbackMode",
  store           : ['DISABLED'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});
*/
var dChannelT1_label = new Ext.form.Label({
  id    : "Paraxip.config.physConfig.dchannelT1Label",
  text  : "D-Channel T1 Configuration",
  style : 'line-height:40px;'
});

var dChannelT1_disable = new Ext.form.ComboBox({
  id              : 'disableDChannelT1',
  fieldLabel      : 'Enable/Disable D-Channel',
  name            : 'disableDChannel',
  store           : ['ENABLED','DISABLED'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});

dChannelT1_disable.on('select',isDChannelEnabled,dChannelT1_disable);

// Max value is 24 and Min is 1
var channelT1_idx_text = new Ext.form.TextField({
  id          : 'channelT1_idx_text',
  fieldLabel  : "D-Channel Index",
  name        : "channelIndex",
  helpText    : "t1ParametersdigitalT1DChannelT1channelIndex",
  disabled    : true,
  width       : 162,
  value       : 24
});

// Max is 4096 and min 256
var mtu_sizeT1_text = new Ext.form.NumberField({
  id          : 'mtu_sizeT1_text',
  fieldLabel  : "MTU Size",
  name        : "mtuSize",
  helpText    : "DChannelMtuSizemtuSize",
  value       : 2048,
  width       : 162
});

mtu_sizeT1_text.on('render',function(){
  isDChannelEnabled.call(dChannelT1_disable);
});

var defaultPcmLawT1_select =  createPcmLawSelection({
  id  : 'defaultPcmLawT1_selection'
});

var voicePacketLengthInMsT1_text = createVoicePacketText({
  id  : 'voicePacketLengthInMsT1_text'
});

var toneSetAttributesT1_select = createToneSetAtributesSelection({
  id  : 'toneSetAttributesT1_select'
});

var ecT1_type_select = createEcTypeSelect({
  id  : 'ecT1_type_selection'
});

var ecT1_mode_select = createEcModeSelect({
  id  : 'ecT1_mode_selection'
});

var ecT1_comfortNoiseMode_select = createEcComfortNoiseSelect({
  id  : 'ecT1_comfortNoiseMode_selection'
});

var ecT1_tailDisplacementInMs_text = createEcTailText({
  id  : 'ecT1_tailDisplacementInMs_text'
});

var ecT1_doubleTalkBehavior_select = createEcDoubleTalkSelect({
  id  : 'ecT1_doubleTalkBehavior_selection'
});

var aecT1_type_select = createAecTypeSelect({
  id  : 'aecT1_type_selection'
});

var aecT1_mode_select = createAecModeSelect({
  id  : 'aecT1_mode_selection'
});

var levelT1_type_select = createLevelTypeSelect({
  id  : 'levelT1_type_selection'
});

var levelT1_direction_select = createLevelDirectionSelect({
  id  : 'levelT1_direction_selection'
});

var levelT1_mode_select = createLevelModeSelect({
  id        : 'levelT1_mode_selection',
  listeners : {
    'select': levelControlVisibleFields,
    scope   : frmDigitalT1PhysConf
  }
});

var levelT1_targetLevelIndBM0_text = createLevelTargetText({
  id  : 'levelT1_targetLevelIndBM0_text'
});

var levelT1_gainIndB_text = createLevelGainText({
  id  : 'levelT1_gainIndB_text'
});

var bnaT1_type_select = createBnaTypeSelect({
  id  : 'bnaT1_type_selection'
});

var bnaT1_direction_select = createBnaDirectionSelect({
  id  : 'bnaT1_direction_selection'
});

var bnaT1_mode_select = createBnaModeSelect({
  id  : 'bnaT1_mode_selection'
});

var bnaT1_attenuationIndB_select = createBnaAttenuationSelect({
  id  : 'bnaT1_attenuationIndB_selection'
});

var dtmfT1_type_select = createDtmfTypeSelect({
  id  : 'dtmfT1_type_selection'
});

var dtmfT1_direction_select = createDtmfDirectionSelect({
  id  : 'dtmfT1_direction_selection'
});

var dtmfT1_mode_select = createDtmfModeSelect({
  id  : 'dtmfT1_mode_selection'
});

t1ConfigPanel.add(id_textT1);
t1ConfigPanel.add(name_textT1);
frmDigitalT1PhysConf.add(t1ConfigPanel);

//frmDigitalT1PhysConf.add(digitalT1_label);
digitalT1Panel.add(framingT1_select);
digitalT1Panel.add(line_encT1_select);
digitalT1Panel.add(lboT1_select);
digitalT1Panel.add(clockingT1_select);
//digitalT1Panel.add(loopback_modeT1_select);
frmDigitalT1PhysConf.add(digitalT1Panel);

//frmDigitalT1PhysConf.add(dChannelT1_label);
DChannelT1Panel.add(dChannelT1_disable);
DChannelT1Panel.add(channelT1_idx_text);
DChannelT1Panel.add(mtu_sizeT1_text);
frmDigitalT1PhysConf.add(DChannelT1Panel);

//frmDigitalT1PhysConf.add(createAudioLabel());
audioT1Panel.add(defaultPcmLawT1_select);
audioT1Panel.add(voicePacketLengthInMsT1_text);
audioT1Panel.add(toneSetAttributesT1_select);
frmDigitalT1PhysConf.add(audioT1Panel);

//frmDigitalT1PhysConf.add(createEchoCancelLabel());
echoT1Panel.add(ecT1_type_select);
echoT1Panel.add(ecT1_mode_select);
echoT1Panel.add(ecT1_comfortNoiseMode_select);
echoT1Panel.add(ecT1_tailDisplacementInMs_text);
echoT1Panel.add(ecT1_doubleTalkBehavior_select);
frmDigitalT1PhysConf.add(echoT1Panel);

//frmDigitalT1PhysConf.add(createAcousticLabel());
acousticT1Panel.add(aecT1_type_select);
acousticT1Panel.add(aecT1_mode_select);
frmDigitalT1PhysConf.add(acousticT1Panel);

//frmDigitalT1PhysConf.add(createLevelControlLabel());
levelT1Panel.add(levelT1_type_select);
levelT1Panel.add(levelT1_direction_select);
levelT1Panel.add(levelT1_mode_select);
levelT1Panel.add(levelT1_targetLevelIndBM0_text);
levelT1Panel.add(levelT1_gainIndB_text);
frmDigitalT1PhysConf.add(levelT1Panel);

//frmDigitalT1PhysConf.add(createBackgroundLabel());
backgroundT1Panel.add(bnaT1_type_select);
backgroundT1Panel.add(bnaT1_direction_select);
backgroundT1Panel.add(bnaT1_mode_select);
backgroundT1Panel.add(bnaT1_attenuationIndB_select);
frmDigitalT1PhysConf.add(backgroundT1Panel);

//frmDigitalT1PhysConf.add(createDTMFRemovalLabel());
dtmfT1Panel.add(dtmfT1_type_select);
dtmfT1Panel.add(dtmfT1_direction_select);
dtmfT1Panel.add(dtmfT1_mode_select);
frmDigitalT1PhysConf.add(dtmfT1Panel);

//-----------------------------------------------
// Digital Physical E1 Config form
// -----------------------------------------------
var frmDigitalE1PhysConf = new Ext.FormPanel({
  title           : "Digital Physical Configuration",
  frame           : true,
  header          : false,
  id              : "frmDigitalE1PhysConf",
  autoScroll      : true,
  layout        : 'accordion',
  layoutConfig  : {
    activeItem  : 0
  },
  defaults    : {
    layout: 'form',
    style: 'text-align:left;',
    labelWidth: 150,
    bodyStyle: 'padding:5px;',
    width: 500,
    autoHeight: true,
    fill: true
  },
  buttonAlign     : "right",
  buttons         : [{
    id: "Paraxip.config.physConfig.digitalE1AssignedIF",
    text: 'Assigned interface(s)',
    listeners: {'click':function(){
        configId = id_textE1.getValue();
        unassignedInterfacesGrid.getStore().load({
           params: {'id':configId}
        });
        assignedInterfacesGrid.getStore().load({
           params: {'id':configId}
        });
        assignInterfacesWindow.show();
      }
    }
  },{
    id: "Paraxip.config.physConfig.digitalE1SaveButton",
    text: 'Save',
    listeners: {'click':saveConfig}
  },{
    id: "Paraxip.config.physConfig.digitalE1CancelButton",
    text: 'Cancel',
    listeners: {'click':physConfCancel}
  }]
});

var e1ConfigPanel = new Ext.Panel({
  id    : 'e1ConfigPanel',
  name  : 'config',
  title : 'Configuration Info',
  items : [{
    xtype: 'textfield',
    id: 'e1NodeId',
    name: 'nodeId',
    hidden: true,
    hideLabel: true
  }]
});

var digitalE1Panel = new Ext.Panel({
  id    : 'digitalE1Panel ',
  name  : 'digitalE1',
  title : 'Digital E1 Configuration'
});

var DChannelE1Panel = new Ext.Panel({
  id    : 'DChannelE1Panel ',
  name  : 'DChannelE1',
  title : 'DChannel E1 Configuration'
});

var audioE1Panel = new Ext.Panel({
  id    : 'audioE1Panel',
  name  : 'audio',
  title : 'Audio Configuration'
});

var echoE1Panel = new Ext.Panel({
  id    : 'echoE1Panel',
  name  : 'EchoCancellation',
  title : 'Echo Cancellation Configuration'
});

var acousticE1Panel = new Ext.Panel({
  id    : 'acousticE1Panel',
  name  : 'AcousticEchoCancellation',
  title : 'Acoustic Echo Cancellation Configuration'
});

var levelE1Panel = new Ext.Panel({
  id    : 'levelE1Panel',
  name  : 'LevelControl',
  title : 'Level Control Configuration'
});

var backgroundE1Panel = new Ext.Panel({
  id    : 'backgroundE1Panel',
  name  : 'BackgroundNoiseAttenuation',
  title : 'Background Noise Attenuation Configuration'
});

var dtmfE1Panel = new Ext.Panel({
  id    : 'dtmfE1Panel',
  name  : 'DTMFRemoval',
  title : 'DTMF Removal Configuration'
});

/**************************
  Digital E1 Configuration
***************************/
var id_textE1 = new Ext.form.TextField({
  id          : 'id_textE1',
  fieldLabel  : "ID",
  name        : "id",
  disabled    : true,
  width       : 162
});

var name_textE1 = new Ext.form.TextField({
  id          : 'name_textE1',
  fieldLabel  : "Display Name",
  name        : "displayName",
  width       : 162
});

var digitalE1_label = new Ext.form.Label({
  id        : "Paraxip.config.physConfig.digitalE1Label", 
  text      : "Digital E1 Physical Configuration",
  helpText  : "e1ParametersdigitalE1",
  style     : 'line-height:40px;'
});

var framingE1_select = new Ext.form.ComboBox({
  id              : 'framingE1_selection',
  name            : 'framing',
  fieldLabel      : "Framing",
  helpText        : "e1ParametersdigitalE1framing",
  store           : ['CRC4','NonCRC4'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});

var line_encE1_select = new Ext.form.ComboBox({
  id              : 'line_encE1_selection',
  name            : 'lineEncoding',
  fieldLabel      : "Line Encoding",
  helpText        : "e1ParametersdigitalE1lineEncoding",
  store           : ['AMI','HDB3'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});

var clockingE1_select = new Ext.form.ComboBox({
  id              : 'clockingE1_selection',
  name            : 'clocking',
  fieldLabel      : "Clocking",
  helpText        : "clockingclocking",
  store           : ['TERMINAL','NETWORK'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});

var signalingE1_select = new Ext.form.ComboBox({
  id              : 'signalingE1_selection',
  name            : 'E1Signaling',
  fieldLabel      : "Signaling",
  helpText        : "e1ParametersdigitalE1E1Signaling",
  store           : ['NONE','CCS','CAS'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});

var terminationE1_select = new Ext.form.ComboBox({
  id              : 'terminationE1_selection',
  name            : 'E1Termination',
  fieldLabel      : "Termination",
  helpText        : "e1ParametersdigitalE1E1Termination",
  store           : ['75ohm','120ohm'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});

/*
var loopback_modeE1_select = new Ext.form.ComboBox({
  id              : 'loopback_modeE1_selection',
  name            : 'loopbackMode',
  fieldLabel      : "Loopback Mode",
  helpText        : "e1ParametersdigitalE1loopbackMode",
  store           : ['DISABLED'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});
*/
var dChannelE1_label = new Ext.form.Label({
  id    : "Paraxip.config.physConfig.dchannelE1Label",
  text  : "D-Channel E1 Configuration",
  style : 'line-height:40px;'
});

var dChannelE1_disable = new Ext.form.ComboBox({
  id              : 'disableDChannelE1',
  fieldLabel      : 'Enable/Disable D-Channel',
  name            : 'disableDChannel',
  store           : ['ENABLED','DISABLED'],
  forceSelection  : true,
  triggerAction   : 'all',
  mode            : 'local',
  typeAhead       : true,
  selectOnFocus   : true,
  width           : 145,
  minListWidth    : 145
});

dChannelE1_disable.on('select',isDChannelEnabled,dChannelE1_disable);

// Max value is 31 and Min is 1
var channelE1_idx_text = new Ext.form.TextField({
  id          : 'channelE1_idx_text',
  fieldLabel  : "D-Channel Index",
  name        : "channelIndex",
  helpText    : "e1ParametersdigitalE1DChannelE1channelIndex",
  disabled    : true,
  width       : 162,
  value       : 31
});

// Max is 4096 and min 256
var mtu_sizeE1_text = new Ext.form.NumberField({
  id          : 'mtu_sizeE1_text',
  fieldLabel  : "MTU Size",
  name        : "mtuSize",
  helpText    : "DChannelMtuSizemtuSize",
  value       : 2048,
  width       : 162
});

mtu_sizeE1_text.on('render',function(){
  isDChannelEnabled.call(dChannelE1_disable);
});

var defaultPcmLawE1_select =  createPcmLawSelection({
  id  : 'defaultPcmLawE1_selection'
});

var voicePacketLengthInMsE1_text = createVoicePacketText({
  id  : 'voicePacketLengthInMsE1_text'
});

var toneSetAttributesE1_select = createToneSetAtributesSelection({
  id  : 'toneSetAttributesE1_select'
});

var ecE1_type_select = createEcTypeSelect({
  id  : 'ecE1_type_selection'
});

var ecE1_mode_select = createEcModeSelect({
  id  : 'ecE1_mode_selection'
});

var ecE1_comfortNoiseMode_select = createEcComfortNoiseSelect({
  id  : 'ecE1_comfortNoiseMode_selection'
});

var ecE1_tailDisplacementInMs_text = createEcTailText({
  id  : 'ecE1_tailDisplacementInMs_text'
});

var ecE1_doubleTalkBehavior_select = createEcDoubleTalkSelect({
  id  : 'ecE1_doubleTalkBehavior_selection'
});

var aecE1_type_select = createAecTypeSelect({
  id  : 'aecE1_type_selection'
});

var aecE1_mode_select = createAecModeSelect({
  id  : 'aecE1_mode_selection'
});

var levelE1_type_select = createLevelTypeSelect({
  id  : 'levelE1_type_selection'
});

var levelE1_direction_select = createLevelDirectionSelect({
  id  : 'levelE1_direction_selection'
});

var levelE1_mode_select = createLevelModeSelect({
  id        : 'levelE1_mode_selection',
  listeners : {
    'select': levelControlVisibleFields,
    scope   : frmDigitalE1PhysConf
  }
});

var levelE1_targetLevelIndBM0_text = createLevelTargetText({
  id  : 'levelE1_targetLevelIndBM0_text'
});

var levelE1_gainIndB_text = createLevelGainText({
  id  : 'levelE1_gainIndB_text'
});

var bnaE1_type_select = createBnaTypeSelect({
  id  : 'bnaE1_type_selection'
});

var bnaE1_direction_select = createBnaDirectionSelect({
  id  : 'bnaE1_direction_selection'
});

var bnaE1_mode_select = createBnaModeSelect({
  id  : 'bnaE1_mode_selection'
});

var bnaE1_attenuationIndB_select = createBnaAttenuationSelect({
  id  : 'bnaE1_attenuationIndB_selection'
});

var dtmfE1_type_select = createDtmfTypeSelect({
  id  : 'dtmfE1_type_selection'
});

var dtmfE1_direction_select = createDtmfDirectionSelect({
  id  : 'dtmfE1_direction_selection'
});

var dtmfE1_mode_select = createDtmfModeSelect({
  id  : 'dtmfE1_mode_selection'
});

e1ConfigPanel.add(id_textE1);
e1ConfigPanel.add(name_textE1);
frmDigitalE1PhysConf.add(e1ConfigPanel);

//frmDigitalE1PhysConf.add(digitalE1_label);
digitalE1Panel.add(framingE1_select);
digitalE1Panel.add(line_encE1_select);
digitalE1Panel.add(clockingE1_select);
digitalE1Panel.add(signalingE1_select);
digitalE1Panel.add(terminationE1_select);
frmDigitalE1PhysConf.add(digitalE1Panel);
//frmDigitalE1PhysConf.add(loopback_modeE1_select);

//frmDigitalE1PhysConf.add(dChannelE1_label);
DChannelE1Panel.add(dChannelE1_disable);
DChannelE1Panel.add(channelE1_idx_text);
DChannelE1Panel.add(mtu_sizeE1_text);
frmDigitalE1PhysConf.add(DChannelE1Panel);

//frmDigitalE1PhysConf.add(createAudioLabel());
audioE1Panel.add(defaultPcmLawE1_select);
audioE1Panel.add(voicePacketLengthInMsE1_text);
audioE1Panel.add(toneSetAttributesE1_select);
frmDigitalE1PhysConf.add(audioE1Panel);

//frmDigitalE1PhysConf.add(createEchoCancelLabel());
echoE1Panel.add(ecE1_type_select);
echoE1Panel.add(ecE1_mode_select);
echoE1Panel.add(ecE1_comfortNoiseMode_select);
echoE1Panel.add(ecE1_tailDisplacementInMs_text);
echoE1Panel.add(ecE1_doubleTalkBehavior_select);
frmDigitalE1PhysConf.add(echoE1Panel);

//frmDigitalE1PhysConf.add(createAcousticLabel());
acousticE1Panel.add(aecE1_type_select);
acousticE1Panel.add(aecE1_mode_select);
frmDigitalE1PhysConf.add(acousticE1Panel);

//frmDigitalE1PhysConf.add(createLevelControlLabel());
levelE1Panel.add(levelE1_type_select);
levelE1Panel.add(levelE1_direction_select);
levelE1Panel.add(levelE1_mode_select);
levelE1Panel.add(levelE1_targetLevelIndBM0_text);
levelE1Panel.add(levelE1_gainIndB_text);
frmDigitalE1PhysConf.add(levelE1Panel);

//frmDigitalE1PhysConf.add(createBackgroundLabel());
backgroundE1Panel.add(bnaE1_type_select);
backgroundE1Panel.add(bnaE1_direction_select);
backgroundE1Panel.add(bnaE1_mode_select);
backgroundE1Panel.add(bnaE1_attenuationIndB_select);
frmDigitalE1PhysConf.add(backgroundE1Panel);

//frmDigitalE1PhysConf.add(createDTMFRemovalLabel());
dtmfE1Panel.add(dtmfE1_type_select);
dtmfE1Panel.add(dtmfE1_direction_select);
dtmfE1Panel.add(dtmfE1_mode_select);
frmDigitalE1PhysConf.add(dtmfE1Panel);

