Ext.namespace("Paraxip.config","Paraxip.config.routingRules");

Paraxip.config.routingRules.displayArea = new Ext.form.TextArea({
  id    : 'Paraxip.config.routingRules.displayArea',
  name  : 'routingRulesEditField',
  width : 800,
  height: 350
});

Paraxip.config.routingRules.getRoutingRules = function(){
  Ext.Ajax.request({
    url: "config/getRoutingRules",
    method: 'GET',
    success: function(result){
      var response = Ext.util.JSON.decode(result.responseText);
      Paraxip.config.routingRules.displayArea.setValue(response.routingRulesText);
    }
  });
}

Paraxip.config.routingRules.submitChanges = function(){
  var xml = this.ownerCt.getItemsValueAsJson();

  Ext.Ajax.request({
    url: 'config/saveRoutingRules',
    method: 'POST',
    disableCaching: true,
    params:{
      'xml': xml
    },
    success: function(result){
      var response = Ext.util.JSON.decode(result.responseText);

      var msg = response.validationMsg;

      Ext.Msg.show({
         title:response.savingMsg,
         msg: msg,
         buttons: Ext.Msg.OK
      }); 
    },
    failure: Paraxip.failureMessage
  });
}

Paraxip.config.routingRules.validateRoutingRules = function(){
  var xml = this.ownerCt.getItemsValueAsJson();

  Ext.Ajax.request({
    url: 'config/validateRoutingRules',
    method: 'POST',
    disableCaching: true,
    params: {'xml':xml},
    success: function(result){
      var response = Ext.util.JSON.decode(result.responseText);

      Ext.Msg.show({
         title:'Validation Result',
         msg: response.errorMsg,
         buttons: Ext.Msg.OK
      }); 
    },
    failure: Paraxip.failureMessage
  });
}


Paraxip.config.routingRules.displayArea.on('render',Paraxip.config.routingRules.getRoutingRules);

Paraxip.config.routingRules.submitChanges = new Ext.Button({
  id        : 'Paraxip.config.routingRules.submitChanges',
  text      : 'Submit Changes',
  minWidth  : 88,
  listeners : {
    'click':Paraxip.config.routingRules.submitChanges
  }
});

Paraxip.config.routingRules.clearChanges = new Ext.Button({
  id        : 'Paraxip.config.routingRules.clearChanges',
  text      : 'Clear Changes',
  minWidth  : 88,
  listeners : {
    'click':Paraxip.config.routingRules.getRoutingRules
  }
});

Paraxip.config.routingRules.validate = new Ext.Button({
  id        : 'Paraxip.config.routingRules.validate',
  text      : 'Validate',
  minWidth  : 88,
  listeners : {
    'click':Paraxip.config.routingRules.validateRoutingRules
  }
});

Paraxip.config.routingRulesPanel = new Ext.form.FormPanel({
  id          : 'Paraxip.config.rouingRulesPanel',
  labelWidth  : 50,
  layout      : 'fit',
  bodyStyle   : 'padding-top: 10px;',
  width       : 972,
  items       : [{ 
    xtype:'label',
    id:'Paraxip.config.routingRules.message',
    name: 'message',
    html:'<html><h1>Validate Button available only when gateway is started.<br>' + 
          'Clear Changes only reverts changes since last Submit</h1><br></html>'
  },
    Paraxip.config.routingRules.displayArea
  ],
  buttons: [
    Paraxip.config.routingRules.submitChanges,
    Paraxip.config.routingRules.validate,
    Paraxip.config.routingRules.clearChanges
  ]
});

