Ext.namespace("Paraxip.status",
              "Paraxip.status.system",
              "Paraxip.status.controls",
              "Paraxip.status.channels");

Paraxip.status.statusTabPanel = new Ext.TabPanel({
  id                : 'Paraxip.status.statusTabPanel',
  deferredRender    : true,
  frame             : $frame,
  layoutOnTabChange : true,
  autoScroll        : $autoScroll,
  activeTab         : 0
});

Paraxip.status.controlPanel = new Ext.Panel({
  id        : 'Paraxip.status.controlPanel',
  bodyStyle : 'text-align:left',
  items     : [
    Paraxip.status.controls.controlsPanel
  ]
});

Paraxip.status.systemPanel = new Ext.Panel({
  id          : 'Paraxip.status.systemPanel',
  layout      : 'table',
  width       : 972,
  layoutConfig: {
    columns: 2
  },
  bodyStyle   : 'text-align:left',
  items       : [
    Paraxip.status.system.errorGrid,
    Paraxip.status.system.statsGrid
  ]
});

Paraxip.status.channelTabPanel = new Ext.Panel({
  id    : 'Paraxip.status.channelTabPanel',
  items : [
    Paraxip.status.channels.channelPanel
  ]
});

Paraxip.status.items = $items;

Paraxip.status.statusTabPanel.on('beforerender', function() {
  for (itemIndex in Paraxip.status.items) {
    if (itemIndex < Paraxip.status.items.length) {
      var item = Paraxip.status.items[itemIndex];
      item.layout = 'absolute';
      Paraxip.status.statusTabPanel.add(item);
    }
  }

  Paraxip.status.statusTabPanel.getItem('controlsTabId').add(Paraxip.status.controlPanel);
  Paraxip.status.statusTabPanel.getItem('systemStatusTabId').disable();
  Paraxip.status.statusTabPanel.getItem('channelsTabId').disable();
  Paraxip.status.statusTabPanel.getItem('systemStatusTabId').add(Paraxip.status.systemPanel);
  Paraxip.status.statusTabPanel.getItem('channelsTabId').add(Paraxip.status.channelTabPanel);
});


